BitFolk - Bug # 87: Do not allow VPS setup script to proceed if VPS already exists

Status: Closed Priority: Normal

Author: admin Category:

Created: 2011-09-28 Assigned to:

Updated: 2012-08-10 Due date:

Subject: Do not allow VPS setup script to proceed if VPS already exists

Description: A (non-customer-facing) VPS setup script currently will proceed to overwrite an existing VPS with new VPS

filesystem and config if given the name of an existing VPS. This is probably not intentional, and there's no
way to recover from it. It shouldn't be allowed to happen unless really really really sure.

History
2011-09-28 17:09 - admin
- Tracker changed from Feature to Bug

2011-10-01 16:40 - admin
- Status changed from New to Resolved

It's no longer possible to overwrite an existing VPS disk or deploy config to an active VPS without using --force.

2012-08-10 14:56 - admin

- Status changed from Resolved to Closed

2025-12-16 11




